/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */

@import url("chrome://messenger/skin/shared/variables.css");

:root {
  --tabline-color: -moz-accent-color;
  --toolbar-non-lwt-bgcolor: #f9f9fa;
  --toolbar-non-lwt-textcolor: #0c0c0d;
  --toolbar-non-lwt-bgimage: none;
  --chrome-content-separator-color: hsl(0, 0%, 60%);
  --row-grouped-header-bg-color: #d5d5d5;
  --row-grouped-header-bg-color-selected: #3874d1;
  --panel-separator-color: hsla(210, 4%, 10%, 0.14);
  --splitter-color: #bdbdbd;
  --autocomplete-popup-url-color: hsl(210, 77%, 47%);
  --select-focus-text-color: SelectedItemText;
  --noselect-folder-color: gray;
  --new-folder-color: blue;
}

:root:not(:-moz-lwtheme) {
  --lwt-tabs-border-color: rgba(0, 0, 0, 0.2);
  --chrome-content-separator-color: hsl(0, 0%, 68%);
}

:root:not(:-moz-lwtheme):-moz-window-inactive {
  --toolbar-bgcolor: -moz-mac-chrome-inactive;
  --lwt-tabs-border-color: rgba(0, 0, 0, 0.05);
  --chrome-content-separator-color: hsl(0, 0%, 85%);
}

:root[lwt-popup-brighttext] {
  --panel-separator-color: rgba(249, 249, 250, 0.1);
}

@media (prefers-color-scheme: dark) {
  :root:not([lwt-tree]):-moz-lwtheme {
    --new-folder-color: #45b1ff;
  }
}
